﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;

namespace CalendarSampleDemo
{
	public partial class MyPage : ContentPage
	{
		public DateTime MinDate
		{
			get;
			set;
		}
		public DateTime Maxdate
		{
			get;
			set;
		}

		public MyPage(DateTime min, DateTime max) 
		{
			InitializeComponent();
			MinDate = min;
			Maxdate = max;
			FrontBox.Text = MinDate.ToString("M") + "-" + Maxdate.ToString("M");
			TapGestureRecognizer TapGesture = new TapGestureRecognizer();
			FrontBox.GestureRecognizers.Add(TapGesture);
			FrontBox.Focused += async (sender, e) =>
			 {
				 Device.BeginInvokeOnMainThread(() =>
				 {
					 FrontBox.Unfocus();
				 });
				 await Navigation.PushAsync(new CalendarSampleDemoPage(MinDate, Maxdate));
			 };
		}

	}
}
